<?php
/*
# ------------------------------------------------------------------------
# JA Coolads module for Joolma 1.5
# ------------------------------------------------------------------------
# Copyright (C) 2004-2010 JoomlArt.com. All Rights Reserved.
# @license - PHP files are GNU/GPL V2. CSS / JS are Copyrighted Commercial,
# bound by Proprietary License of JoomlArt. For details on licensing, 
# Please Read Terms of Use at http://www.joomlart.com/terms_of_use.html.
# Author: JoomlArt.com
# Websites:  http://www.joomlart.com -  http://www.joomlancers.com
# Redistribution, Modification or Re-licensing of this file in part of full, 
# is bound by the License applied. 
# ------------------------------------------------------------------------
*/

// no direct access
defined( '_JEXEC' ) or die( 'Restricted access' );

//global $mosConfig_live_site, $mainframe;
$enahid = intval($params->get('ja_enahid'));
$enaclo = intval($params->get('ja_enaclo'));
$anidur = intval($params->get('ja_anidur'));
$watoap = intval($params->get('ja_watoap'));
$waselo = intval($params->get('ja_waselo'));
$moposh = $params->get('ja_moposh');
$moposh = preg_split ('/,/', $moposh);
$mopoal = $params->get('ja_mopoal');
$mopoal = preg_split ('/,/', $mopoal);
$stadat = $params->get('ja_stadat');
$enddat = $params->get('ja_enddat');

if ($stadat) $stadat = strtotime($stadat);
if ($enddat) $enddat = strtotime($enddat);
$today = time();
$enable = true;
if ($stadat && $stadat > $today) $enable = false;
if ($enddat && $enddat < $today) $enable = false;
$modules = 0;
$align = 'center';
$i = 0;
foreach ($moposh as $m) {
	if (JDocumentHTML::countModules($m)) {
		$modules++;
		if (isset($mopoal[$i])) $align = $mopoal[$i];
	}
	$i++;
}
if (!$modules) $enable = false;
if ($enable && !isset($_COOKIE['ja-coolads'])) {
	?>
	<script type="text/javascript">
		var anidur = <?php echo "$anidur\n"; ?>
		var watoap = <?php echo $watoap*1000 . "\n"; ?>
		var waselo = <?php echo $waselo*1000 . "\n"; ?>
	</script>
	<script type="text/javascript" src="<?php echo JURI::base(); ?>modules/mod_ja_coolads/ja_coolads/ja.coolads.js"></script>
	<?php
	echo '
		<div id="ja-coolads-buttons" style="position: absolute; top: 3px; right: 3px; display: none;">';
	if ($enahid) echo '
			<a href="javascript:hideCoolAds(true);"><img src="'.JURI::base().'/modules/mod_ja_coolads/ja_coolads/close.png" alt="Hide" title="Hide" /></a>';
	if ($enaclo) echo '
			<a href="javascript:hideCoolAds(false);"><img src="'.JURI::base().'/modules/mod_ja_coolads/ja_coolads/never.png" alt="Don\'t show again" title="Don\'t show again" /></a>';
	echo '
		</div>';
	
	$str = "";
	foreach ($moposh as $m) {
		$str .= "<jdoc:include type=\"modules\" name=\"$m\" style=\"raw\" />";
	}
	
	
	$replace = array();
	$matches = array();
	if(preg_match_all('#<jdoc:include\ type="([^"]+)" (.*)\/>#iU', $str, $matches))
	{
		$matches[0] = array_reverse($matches[0]);
		$matches[1] = array_reverse($matches[1]);
		$matches[2] = array_reverse($matches[2]);

		$count = count($matches[1]);
		$jdoc = new JDocumentHTML();	
		for($i = 0; $i < $count; $i++)
		{
			$attribs = JUtility::parseAttributes( $matches[2][$i] );
			$type  = $matches[1][$i];

			$name  = isset($attribs['name']) ? $attribs['name'] : null;
			$replace[$i] = $jdoc->getBuffer($type, $name, $attribs);
		}

		$str = str_replace($matches[0], $replace, $str);
	}
	echo '<div id="ja-coolads-container" style="text-align:'.$align.';">';
		echo $str;
	echo '</div>';
}
?>
