<?php
/*

# ------------------------------------------------------------------------
# JA Sargas template for joomla 1.5
# ------------------------------------------------------------------------
# Copyright (C) 2004-2010 JoomlArt.com. All Rights Reserved.
# @license - PHP files are GNU/GPL V2. CSS / JS are Copyrighted Commercial,
# bound by Proprietary License of JoomlArt. For details on licensing, 
# Please Read Terms of Use at http://www.joomlart.com/terms_of_use.html.
# Author: JoomlArt.com
# Websites:  http://www.joomlart.com -  http://www.joomlancers.com
# Redistribution, Modification or Re-licensing of this file in part of full, 
# is bound by the License applied. 
# ------------------------------------------------------------------------

*/

defined( '_JEXEC' ) or die( 'Restricted access' );

defined( 'DS') || define( 'DS', DIRECTORY_SEPARATOR );
include_once (dirname(__FILE__).DS.'ja_vars.php');
# TEMPLATE CONFIGURATIONS ##########
####################################


#Header-deco images: you can add more images. 
$ja_header_images = array('leftcol-deco1.gif','leftcol-deco2.gif','leftcol-deco3.gif'); // Each sub header image will be assigned to each menu 
####################################


# END: TEMPLATE CONFIGURATIONS ##########
$ja_headerimg = count($ja_header_images)? $ja_header_images [$tmpTools->getCurrentMenuIndex() % count($ja_header_images)]:'';
?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">

<head>
<jdoc:include type="head" />
<?php JHTML::_('behavior.mootools'); ?>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
<meta http-equiv="Content-Style-Type" content="text/css" />
<link href="<?php echo $tmpTools->templateurl();?>/css/template.css" rel="stylesheet" type="text/css" />
<link href="<?php echo $tmpTools->baseurl(); ?>templates/system/css/system.css" rel="stylesheet" type="text/css" />
<link rel="stylesheet" href="<?php echo $tmpTools->baseurl(); ?>templates/system/css/general.css" type="text/css" />
<link rel="stylesheet" href="<?php echo $tmpTools->templateurl();?>/css/editor_content.css" type="text/css" />
<script language="javascript" type="text/javascript" src="<?php echo $tmpTools->templateurl();?>/scripts/ja.script.js"></script>
<link href="<?php echo $tmpTools->templateurl();?>/css/colors/<?php echo $tmpTools->getParam(JA_TOOL_COLOR); ?>.css" rel="stylesheet" type="text/css" />
<?php $tmpTools->genMenuHead(); ?>

<?php //genColorHead(); ?>



<!--[if lte IE 6]>
<style type="text/css">
.clearfix {	height: 1%;}
</style>
<![endif]-->

<!--[if gte IE 7.0]>
<style type="text/css">
.clearfix {	display: inline-block;}
</style>
<![endif]-->

<script type="text/javascript" src="<?php echo $tmpTools->templateurl();?>/scripts/opacity.js"></script>

<!--[if gt IE 7]>
<link href="<?php echo $tmpTools->templateurl(); ?>/css/ie8.css" rel="stylesheet" type="text/css" />
<![endif]-->

</head>

<body id="bd" class="<?php echo $tmpTools->getParam(JA_TOOL_SCREEN);?> fs<?php echo $tmpTools->getParam(JA_TOOL_FONT);?>">
<a title="Skip to content" href="<?php echo $tmpTools->getCurrentURL();?>#Content" style="display: none;">Skip to content</a>

<!-- BEGIN: HEADER -->
<a name="Top" id="Top"></a>

<div id="ja-headerwrap">
	<div id="ja-header" class="clearfix">
	
		<h1>
			<a href="index.php">
			<script type="text/javascript">
				od_displayImage('sitelogo', '<?php echo $tmpTools->templateurl();?>/images/logo', 228, 63, '', '<?php echo $tmpTools->sitename();?>');
			</script>
			</a>
		</h1>

		<div id="ja-sh">
		<?php if ($tmpTools->getParam(JA_TOOL_USER) || $this->CountModules('user4')) {?>
		<div id="ja-usertoolswrap">
			<div id="ja-usertools">
				<?php $tmpTools->genToolMenu($tmpTools->getParam(JA_TOOL_USER) & 1); /*screen tool*/ ?>
				<?php $tmpTools->genToolMenu($tmpTools->getParam(JA_TOOL_USER) & 2); /*color tool*/ ?>
				<?php if ($this->CountModules('user4')) {?>
				<div id="ja-search">
				
				 <jdoc:include type="modules" name="user4" style="raw" />
				</div>
				<?php } ?>
			</div>
		</div>
		<?php } ?>
	
		<!-- BEGIN: MAIN NAVIGATION -->
		<div id="ja-mainnav">
			<?php
				$jamenu->genMenu(0);
			?>

			<?php if ($tmpTools->getParam(JA_TOOL_MENU)==1 && $hasSubnav) { ?>
			<div id="ja-subnav">
				<?php $jamenu->genMenu(1,1); ?>
			</div>
			<?php } ?>
			
			<?php if ($tmpTools->getParam(JA_TOOL_MENU)==4) { ?>
			<div id="ja-subnavdl">
				<?php $jamenu->genMenu(1,1); ?>
			</div>
			<?php } ?>
	
		</div>
		<!-- END: MAIN NAVIGATION -->
		</div>

	</div>
</div>
<!-- END: HEADER -->

<div id="ja-containerwrap">
<div id="ja-container<?php echo $divwrapid; ?>" class="clearfix">

	<!-- BEGIN: CONTENT -->
	<div id="ja-mainbody<?php echo $divid; ?>">
	<a name="Content" id="Content"></a>

	<div id="ja-contentwrap">
		<!-- BEGIN: JA COOLADS MODULE -->
		<?php if ($this->CountModules('user5')) { ?>
		<div id="ja-coolads">
		
		<jdoc:include type="modules" name="user5" style="rounded" />
		</div>
		<?php } ?>
		<!-- END: JA COOLADS MODULE -->
		<!-- BEGIN: TOP SPOTLIGHT -->
		<?php if ( $this->CountModules('user8') ) { ?>
		<div class="<?php echo $user8divstyle; ?>" style="float: left; width: <?php echo $divtopwidth ?>;">
		
		<jdoc:include type="modules" name="user8" style="rounded" />
		</div>
		<?php } ?>
		
		<?php 
		//if ( $this->CountModules('user8') ) 
		if ( $this->CountModules('user9') ) 
		{ ?>
		<div class="<?php echo $user9divstyle; ?>" style="float: right; width: <?php echo $divtopwidth ?>;">
		
		<jdoc:include type="modules" name="user9" style="rounded" />
		</div>
		<?php } ?>
		<!-- END: TOP SPOTLIGHT -->

		<div id="ja-pathway">
			<jdoc:include type="module" name="breadcrumbs" />
		</div>

		<div id="ja-content">
		<jdoc:include type="component" />
		</div>

	</div>

	<?php if ($ja_left) { ?>
	<!-- BEGIN: LEFT COLUMN -->
	<div id="ja-leftcol" style="background: url(<?php echo $tmpTools->templateurl(),"/images/".$tmpTools->getParam(JA_TOOL_COLOR)."/header-deco/$ja_headerimg"; ?>) no-repeat top center;">
		
		<jdoc:include type="modules" name="left" style="xhtml" />
	</div>
	<!-- END: LEFT COLUMN -->
	<?php } ?>

	</div>
	<!-- END: CONTENT -->

	<?php if ($ja_right) { ?>
	<!-- BEGIN: RIGHT COLUMN -->
	<div id="ja-rightcol">
		
		<jdoc:include type="modules" name="right" style="rounded" />
	</div>
	<br />
	<!-- END: RIGHT COLUMN -->
	<?php } ?>

</div>
</div>

<!-- BEGIN: FOOTER -->
<div id="ja-botnavwrap">
	<div id="ja-botnav">
		<?php //mosLoadModules ( 'user3',-1 ); ?>
		<jdoc:include type="modules" name="user3" style="raw" />
		<a title="Go to Top" href="<?php echo $tmpTools->getCurrentURL();?>#Top" class="gotop-button">Top</a>
	</div>
</div>

<?php if ($bottommodule) { ?>
<!-- BEGIN: BOTTOM SPOTLIGHT -->
<div id="ja-botslwrap">
	<div id="ja-botsl" class="ja-spotlight clearfix">

		<?php if ( $this->CountModules('user1') ) { ?>
		<div class="ja-box<?php echo $user1divstyle; ?>" style="width: <?php echo $divbotwidth ?>;">
			<?php //mosLoadModules ( 'user1', -2 ); ?>
			<jdoc:include type="modules" name="user1" style="xhtml" />
		</div>
		<?php } ?>

		<?php if ( $this->CountModules('user2') ) { ?>
		<div class="ja-box<?php echo $user2divstyle; ?>" style="width: <?php echo $divbotwidth ?>;">
			
			<jdoc:include type="modules" name="user2" style="xhtml" />
		</div>
		<?php } ?>

		<?php if ( $this->CountModules('top') ) { ?>
		<div class="ja-box<?php echo $topdivstyle; ?>" style="width: <?php echo $divbotwidth ?>;">
			
			<jdoc:include type="modules" name="top" style="xhtml" />
		</div>
		<?php } ?>

	</div>
</div>
<!-- END: BOTTOM SPOTLIGHT -->
<?php } ?>
                                             
<div id="ja-footerwrap">
	<div id="ja-footer">

    <p id="ja-bottomline">
			<?php include_once( dirname(__FILE__).'/footer.php' ); ?>
		</p>

	  <div id="ja-cert">
			<a href="<?php echo $tmpTools->baseurl(); ?>/index.php?option=com_rss&amp;feed=RSS2.0&amp;no_html=1" target="_blank" title="RSS 2.0" style="text-decoration: none;">
				<img src="<?php echo $tmpTools->templateurl();?>/images/but-rss.png" alt="RSS 2.0" />
			</a>
		
		</div>

	</div>
</div>
<!-- END: FOOTER -->


<jdoc:include type="modules" name="debug" style="raw" />
</body>

</html>
